AM263Px MCU+ SDK: per_null.h File Reference

| AM263Px MCU+ SDK 26.00.00 |

Data Structures | Macros | Typedefs | Functions
per_null.h File Reference

## Introduction

This file contains the type definitions and helper macros for the "null" peripheral interface.

Go to the source code of this file.

## Data Structures
struct | NullPer_Cfg
| Null Peripheral configuration parameters. More...
struct | NullPer_Obj
| Null Peripheral object. More...

## Macros
#define | ENET_NULLPER_FEAT1 (ENET_BIT(0U))
#define | ENET_NULLPER_FEAT2 (ENET_BIT(1U))
#define | ENET_NULLPER_ERRATA1 (ENET_BIT(0U))
#define | ENET_NULLPER_CLK_MCLK (1U)

## Typedefs
typedef struct NullPer_Obj_s * | NullPer_Handle
| Null Periperhal handle. More...

## Functions
void | NullPer_initCfg (EnetPer_Handle hPer, Enet_Type enetType, void *cfg, uint32_t cfgSize)
| Initialize Null peripheral's configuration parameters. More...
int32_t | NullPer_open (EnetPer_Handle hPer, Enet_Type enetType, uint32_t instId, const void *cfg, uint32_t cfgSize)
| Open and initialize the Null Peripheral. More...
int32_t | NullPer_rejoin (EnetPer_Handle hPer, Enet_Type enetType, uint32_t instId)
| Rejoin the Null Peripheral. More...
int32_t | NullPer_ioctl (EnetPer_Handle hPer, uint32_t cmd, Enet_IoctlPrms *prms)
| Issue an operation on the Null Peripheral. More...
void | NullPer_poll (EnetPer_Handle hPer, uint32_t evtMask)
| Poll for Ethernet events on the Null Peripheral. More...
void | NullPer_periodicTick (EnetPer_Handle hPer)
| Run periodic tick on the Null Peripheral. More...
void | NullPer_close (EnetPer_Handle hPer)
| Close the Null Peripheral. More...

## Macro Definition Documentation

## ◆ ENET_NULLPER_FEAT1

#define ENET_NULLPER_FEAT1 (ENET_BIT(0U))

Null peripheral dummy feature 1

## ◆ ENET_NULLPER_FEAT2

#define ENET_NULLPER_FEAT2 (ENET_BIT(1U))

Null peripheral dummy feature 2

## ◆ ENET_NULLPER_ERRATA1

#define ENET_NULLPER_ERRATA1 (ENET_BIT(0U))

Null peripheral dummy errata 1

## ◆ ENET_NULLPER_CLK_MCLK

#define ENET_NULLPER_CLK_MCLK (1U)

Null peripheral MCLK id

## Typedef Documentation

## ◆ NullPer_Handle

typedef struct NullPer_Obj_s* NullPer_Handle

Null Periperhal handle.

## Function Documentation

## ◆ NullPer_initCfg()

void NullPer_initCfg | ( | EnetPer_Handle | hPer,
|  | Enet_Type | enetType,
|  | void * | cfg,
|  | uint32_t | cfgSize
| ) |  |

Initialize Null peripheral's configuration parameters.

Initializes the configuration parameters for a Null periperhal.

Parameters

  hPer | Enet Peripheral handle
  enetType | Enet Peripheral type
  cfg | Configuration parameters to be initialized
  cfgSize | Size of the configuration parameters

## ◆ NullPer_open()

int32_t NullPer_open | ( | EnetPer_Handle | hPer,
|  | Enet_Type | enetType,
|  | uint32_t | instId,
|  | const void * | cfg,
|  | uint32_t | cfgSize
| ) |  |

Open and initialize the Null Peripheral.

Opens and initializes the Null Peripheral with the configuration parameters provided by the caller.

Parameters

  hPer | Enet Peripheral handle
  enetType | Enet Peripheral type
  instId | Enet Peripheral instance id
  cfg | Configuration parameters
  cfgSize | Size of the configuration parameters

Returns
  Enet_ErrorCodes

## ◆ NullPer_rejoin()

int32_t NullPer_rejoin | ( | EnetPer_Handle | hPer,
|  | Enet_Type | enetType,
|  | uint32_t | instId
| ) |  |

Rejoin the Null Peripheral.

Reopens the Null Peripheral, but doesn't perform any hardware initialization. This function is expected to be called to attach to a running peripheral.

Parameters

  hPer | Enet Peripheral handle
  enetType | Enet Peripheral type
  instId | Enet Peripheral instance id

Returns
  Enet_ErrorCodes

## ◆ NullPer_ioctl()

int32_t NullPer_ioctl | ( | EnetPer_Handle | hPer,
|  | uint32_t | cmd,
|  | Enet_IoctlPrms * | prms
| ) |  |

Issue an operation on the Null Peripheral.

Issues a control operation on the Null Peripheral.

Parameters

  hPer | Enet Peripheral handle
  cmd | IOCTL command Id
  prms | IOCTL parameters

Returns
  Enet_ErrorCodes

## ◆ NullPer_poll()

void NullPer_poll | ( | EnetPer_Handle | hPer,
|  | uint32_t | evtMask
| ) |  |

Poll for Ethernet events on the Null Peripheral.

Unblocking poll for the events specified in `evtMask`.

Parameters

  hPer | Enet Peripheral handle
  evtMask | Event bit mask

## ◆ NullPer_periodicTick()

void NullPer_periodicTick | ( | EnetPer_Handle | hPer | ) |

Run periodic tick on the Null Peripheral.

Run PHY periodic tick on the Ethernet peripheral.

Parameters

  hPer | Enet Peripheral handle

## ◆ NullPer_close()

void NullPer_close | ( | EnetPer_Handle | hPer | ) |

Close the Null Peripheral.

Closes the Null Peripheral.

Parameters

  hPer | Enet Peripheral handle